Subject: bug#40845: SVG rendering issues

From: Alan Third <[email-masked]>
Date: Sun, 3 May 2020 15:13:48 +0100

On Sun, Apr 26, 2020 at 06:48:09PM -0400, Clément Pit-Claudel wrote:
> On 26/04/2020 17.17, Alan Third wrote:
> > I’m happy to give this a go, but I’m not sure about base64 encoding.
> > Do we already have a way of doing that to a char buffer?
> 
> We have base64-encode-region and base64-encode-string, which are both C functions — but why do we need to base64 encode?

I’ve run into a problem with the base64 encoding.

/usr/bin/base64 encodes this file differently from Emacs:

    https://upload.wikimedia.org/wikipedia/commons/9/92/MixedUnitAddition.svg

librsvg doesn’t like the way Emacs encodes the file, but is fine with
the system base64.

I think the problem is the GBP £ symbol on line 39.

Do I need to do something special, like set up character encodings?
-- 
Alan Third